> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Tickets (Passthrough)

> Search tickets using vendor-native query syntax and pagination. Query parameters are vendor-specific — for Jira, use `jql` with JQL syntax and cursor-based pagination. Other vendors will use their own query params when supported.



## OpenAPI

````yaml get /itsm/passthrough/tickets/search
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/passthrough/tickets/search:
    get:
      tags:
        - ITSM
        - Passthrough
      summary: Search Tickets (Passthrough)
      description: >-
        Search tickets using vendor-native query syntax and pagination. Query
        parameters are vendor-specific — for Jira, use `jql` with JQL syntax and
        cursor-based pagination. Other vendors will use their own query params
        when supported.
      operationId: passthrough_search_tickets
      parameters:
        - name: jql
          in: query
          required: true
          schema:
            type: string
            description: >-
              Jira Query Language (JQL) string. Example: `project = PROJ AND
              issuetype in standardIssueTypes() ORDER BY updated DESC`. Max 5000
              characters.
            title: Jql
          description: >-
            Jira Query Language (JQL) string. Example: `project = PROJ AND
            issuetype in standardIssueTypes() ORDER BY updated DESC`. Max 5000
            characters.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Opaque pagination cursor from `next_cursor` in a previous
              response. Omit for the first page.
            title: Cursor
          description: >-
            Opaque pagination cursor from `next_cursor` in a previous response.
            Omit for the first page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/KeySetPaginatedResponse_PassthroughTicket_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Too Many Requests
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Gateway
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    KeySetPaginatedResponse_PassthroughTicket_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PassthroughTicket'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[PassthroughTicket]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PassthroughTicket:
      properties:
        vendor_id:
          type: string
          title: Vendor Id
          description: Vendor's ticket identifier (e.g., Jira issue key 'PROJ-123')
        summary:
          type: string
          title: Summary
          description: Ticket title / summary
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Current status name
        issue_type_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Type Id
          description: Vendor issue type ID
        issue_type_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Type Name
          description: Vendor issue type name
        priority:
          anyOf:
            - type: string
            - type: 'null'
          title: Priority
          description: Priority name
        assignee_vendor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee Vendor Id
          description: Assignee's vendor user ID
        assignee_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee Display Name
          description: Assignee display name
        project_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Key
          description: Vendor project key
      type: object
      required:
        - vendor_id
        - summary
      title: PassthroughTicket
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````